VSTGUI: ISplitViewController Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ISplitViewController Class Referenceabstract

Split View Controller. More...

`#include <csplitview.h>`

## Public Member Functions
virtual | ~ISplitViewController () noexcept=default
virtual bool | getSplitViewSizeConstraint (int32_t index, CCoord &minSize, CCoord &maxSize, CSplitView *splitView)=0
| return the minimum and maximum size (width or height) of a view.
virtual ISplitViewSeparatorDrawer * | getSplitViewSeparatorDrawer (CSplitView *splitView)=0
| return the separator drawer.
virtual bool | storeViewSize (int32_t index, const CCoord &size, CSplitView *splitView)=0
| store the size of the view.
virtual bool | restoreViewSize (int32_t index, CCoord &size, CSplitView *splitView)=0
| restore the size of the view.

## Detailed Description

Split View Controller.

controls the size of the subviews of the split view

Extension to IController

## Constructor & Destructor Documentation

## ◆ ~ISplitViewController()

virtual ~ISplitViewController | ( |  | ) |
| virtualdefaultnoexcept

## Member Function Documentation

## ◆ getSplitViewSeparatorDrawer()

virtual ISplitViewSeparatorDrawer * getSplitViewSeparatorDrawer | ( | CSplitView * | splitView | ) |
| pure virtual

return the separator drawer.

## ◆ getSplitViewSizeConstraint()

virtual bool getSplitViewSizeConstraint | ( | int32_t | index,
|  | CCoord & | minSize,
|  | CCoord & | maxSize,
|  | CSplitView * | splitView )
| pure virtual

return the minimum and maximum size (width or height) of a view.

## ◆ restoreViewSize()

virtual bool restoreViewSize | ( | int32_t | index,
|  | CCoord & | size,
|  | CSplitView * | splitView )
| pure virtual

restore the size of the view.

## ◆ storeViewSize()

virtual bool storeViewSize | ( | int32_t | index,
|  | const CCoord & | size,
|  | CSplitView * | splitView )
| pure virtual

store the size of the view.

The documentation for this class was generated from the following file:

- csplitview.h